let config = {
	"ribbon": [{
		"id": "home",
		"text": "开始",
		"buttonGroups": [{
			"label": "NewDesigner",
			"thumbnailClass": "welcome",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["Welcome"]
				}]
			}
		}, {
			"label": "撤销",
			"thumbnailClass": "ribbon-thumbnail-undoredo",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["undo", "redo"]
				}, {
					"direction": "vertical",
					"commands": ["undoList", "redoList"]
				}]
			}
		}, {
			"label": "剪贴板",
			"thumbnailClass": "ribbon-thumbnail-clipboard",
			"commandGroup": {
				"children": [{
					"command": "pasteAll",
					"type": "dropdown",
					"children": ["pasteAll", "pasteFormulas", "pasteValues", "pasteFormatting", "pasteValuesAndFormatting", "pasteFormulasAndFormatting"]
				}, {
					"direction": "vertical",
					"commands": ["cut", "copy", "formatPainter"]
				}]
			}
		}, {
			"label": "字体",
			"indicator": "indicatorFonts",
			"thumbnailClass": "ribbon-thumbnail-fonts",
			"commandGroup": {
				"direction": "vertical",
				"children": [{
					"commands": ["fontFamily", "fontSize", "increaseFontsize", "decreaseFontsize"]
				}, {
					"children": ["fontWeight", "fontItalic", "fontUnderline", "fontDoubleUnderline", "separator", {
						"command": "border",
						"type": "dropdown",
						"children": ["bottomBorder", "topBorder", "leftBorder", "rightBorder", "separator", "noBorder", "allBorder", "outsideBorder", "thickBoxBorder", "separator", "bottomDoubleBorder", "thickBottomBorder", "topBottomBorder", "topThickBottomBorder", "topDoubleBottomBorder", "moreBorder"]
					}, "separator", "backColor", "foreColor"]
				}]
			}
		}, {
			"label": "对齐方式",
			"indicator": "indicatorAlignment",
			"thumbnailClass": "ribbon-thumbnail-alignment",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"children": [{
						"children": ["topAlign", "middleAlign", "bottomAlign", "separator", {
							"command": "orientationList",
							"type": "dropdown",
							"children": ["angleCounterclockwise", "angleClockwise", "verticalText", "rotateTextUp", "rotateTextDown", "separator", "formatCellAlignment"]
						}]
					}, {
						"commands": ["leftAlign", "centerAlign", "rightAlign", "separator", "decreaseIndent", "increaseIndent"]
					}]
				}, {
					"type": "separator"
				}, {
					"direction": "vertical",
					"children": [{
						"commands": ["wrapText"]
					}, {
						"children": [{
							"command": "mergeCenter",
							"type": "dropdown",
							"children": ["mergeCenterButton", "mergeAcross", "mergeCells", "unMergeCells"]
						}]
					}]
				}]
			}
		}, {
			"label": "数字",
			"indicator": "indicatorNumbers",
			"thumbnailClass": "ribbon-thumbnail-numbers",
			"commandGroup": {
				"direction": "vertical",
				"children": [{
					"command": "ribbonNumberFormat",
					"type": "dropdown",
					"children": ["formatGeneral", "numberFormat", "currencyFormat", "accountingFormat", "shortDateFormat", "longDateformat", "timeFormat", "percentageFormat", "fractionFormat", "scientificFormat", "textFormat", "separator", "formatMore"]
				}, {
					"commands": ["formatPercentage", "formatComma", "separator", "increaseDecimal", "decreaseDecimal"]
				}]
			}
		}, {
			"label": "样式",
			"thumbnailClass": "ribbon-thumbnail-styles",
			"commandGroup": {
				"children": [{
					"command": "conditionFormat",
					"type": "dropdown",
					"children": [{
						"command": "highlightCellsRules",
						"type": "dropdown",
						"children": ["highlightCellsRulesGreaterThan", "highlightCellsRulesLessThan", "highlightCellsRulesBetween", "highlightCellsRulesEqualTo", "highlightCellsRulesContains", "highlightCellsRulesDateOccurring", "highlightCellsRulesDuplicateValues", "separator", "highlightCellsMoreRules"]
					}, {
						"command": "topBottomRules",
						"type": "dropdown",
						"children": ["topBottomRulesTop10", "topBottomRulesBottom10", "topBottomRulesAboveAverage", "topBottomRulesBelowAverage", "separator", "topBottomRulesMoreRules"]
					}, "separator", {
						"command": "dataBar",
						"type": "dropdown",
						"dropdownMaxWidth": 126,
						"children": [{
							"command": "gradientFill",
							"type": "group",
							"children": ["gradientFillBlueDataBar", "gradientFillGreenDataBar", "gradientFillRedDataBar", "gradientFillOrangeDataBar", "gradientFillLightBlueDataBar", "gradientFillPurpleDataBar"]
						}, {
							"command": "solidFill",
							"type": "group",
							"children": ["solidFillBlueDataBar", "solidFillGreenDataBar", "solidFillRedDataBar", "solidFillOrangeDataBar", "solidFillLightBlueDataBar", "solidFillPurpleDataBar"]
						}, "separator", "moreDataBarRules"]
					}, {
						"command": "colorScalesList",
						"type": "dropdown",
						"dropdownMaxWidth": 170,
						"children": [{
							"command": "colorScalesList2",
							"type": "group",
							"children": ["colorScaleGyr", "colorScaleRyg", "colorScaleGwr", "colorScaleRwg", "colorScaleBwr", "colorScaleRwb", "colorScaleWr", "colorScaleRw", "colorScaleGw", "colorScaleWg", "colorScaleGy", "colorScaleYg"]
						}, "separator", "moreColorScaleRules"]
					}, {
						"command": "iconSetList",
						"type": "dropdown",
						"children": [{
							"command": "directional",
							"type": "group",
							"children": ["iconSetThreeArrowsColored", "iconSetThreeArrowsGray", "iconSet3Triangles", "iconSetFourArrowsGray", "iconSetFourArrowsColored", "iconSetFiveArrowsGray", "iconSetFiveArrowsColored"]
						}, {
							"command": "shapes",
							"type": "group",
							"children": ["iconSetThreeTrafficLightsUnRimmed", "iconSetThreeTrafficLightsRimmed", "iconSetThreeSigns", "iconSetFourTrafficLights", "iconSetFourRedToBlack"]
						}, {
							"command": "indicators",
							"type": "group",
							"children": ["iconSetThreeSymbolsCircled", "iconSetThreeSymbolsUnCircled", "iconSetThreeFlags"]
						}, {
							"command": "ratings",
							"type": "group",
							"children": ["iconSetThreeStars", "iconSetFourRatings", "iconSetFiveQuarters", "iconSetFiveRatings", "iconSetFiveBoxes"]
						}, "separator", "moreIconSetRules"]
					}, "separator", "conditionFormatNewRule", {
						"command": "clearRules",
						"type": "dropdown",
						"children": ["clearCellRules", "clearSheetRules"]
					}, "conditionFormatManageRule"]
				}, {
					"command": "formatTable2",
					"type": "dropdown",
					"dropdownMaxWidth": 550,
					"children": ["formatTableListContent", "separator", "newTableStyle", "clearTableStyle"]
				}, {
					"command": "cellStyles",
					"type": "dropdown",
					"dropdownMaxWidth": 634,
					"children": ["cellStylesListContent", "separator", "newCellStyle", "separator", "manageCellState"]
				}, {
					"command": "cellEditors",
					"type": "dropdown",
					"children": [{
						"command": "cellType",
						"type": "dropdown",
						"children": ["ribbonButtonButtonCellType", "checkboxCellType", "comboBoxCellType", "hyperlinkCellType", "rangeTemplateCellType", "separator", "checkboxListCellType", "radioListCellType", "buttonListCellType", "separator", "clearCellType"]
					}, {
						"command": "cellDropdowns",
						"type": "dropdown",
						"children": ["calculatorCellType", "colorPickerCellType", "dateTimePickerCellType", "listCellType", "monthPickerCellType", "sliderCellType", "timePickerCellType", "workflowList", "multiColumnPicker", "separator", "clearCellDropdown"]
					}]
				}]
			}
		}, {
			"label": "单元格",
			"thumbnailClass": "ribbon-thumbnail-cells",
			"commandGroup": {
				"children": [{
					"command": "cellsInsert",
					"type": "dropdown",
					"children": ["insertCells", "separator", "insertSheetRows", "insertSheetColumns", "separator", "insertSheet"]
				}, {
					"command": "cellsDelete",
					"type": "dropdown",
					"children": ["deleteCells", "separator", "deleteSheetRows", "deleteSheetColumns", "separator", "deleteSheet"]
				}, {
					"command": "cellsFormat",
					"type": "dropdown",
					"children": ["cellFormatRowHeight", "autoFitRowHeight", "defaultRowHeight", "separator", "cellFormatColumnWidth", "autoFitColumnWidth", "defaultColumnWidth", "separator", "hideRows", "hideColumns", "unHideRows", "unHideColumns", "separator", "headers", "separator", "cellFormatProtectSheet", "unProtectSheet", "lockCells", "unLockCells"]
				}]
			}
		}, {
			"label": "编辑",
			"thumbnailClass": "ribbon-thumbnail-editing",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"children": [{
						"command": "editingAutoSum",
						"type": "dropdown",
						"children": ["editingAutoSum", "average", "countNumbers", "max", "min"]
					}, {
						"command": "editingFillDown",
						"type": "dropdown",
						"children": ["down", "right", "up", "left", "series"]
					}, {
						"command": "clear",
						"type": "dropdown",
						"children": ["clearAll", "clearFormat", "clearContent", "clearComments"]
					}]
				}, {
					"command": "editingSortFilter",
					"type": "dropdown",
					"children": ["sortAZ", "sortZA", "customSortEditing", "setFilter", "clearFilter", "reapplyFilter"]
				}, {
					"command": "editingFind",
					"type": "dropdown",
					"children": ["find", "replace", "goto", "gotoSpecial"]
				}]
			}
		}],
		"visibleWhen": "!TableSheetActive && !DataManagerActive"
	}, {
		"id": "insert",
		"text": "插入",
		"buttonGroups": [{
			"label": "表格",
			"thumbnailClass": "ribbon-thumbnail-table",
			"commandGroup": {
				"commands": ["insertTable", "insertPivotTable", "insertTableSheet"]
			}
		}, {
			"label": "图表",
			"thumbnailClass": "ribbon-thumbnail-chart",
			"commandGroup": {
				"direction": "horizontal",
				"children": ["insertChart", {
					"direction": "vertical",
					"children": [{
						"direction": "horizontal",
						"children": [{
							"command": "columnOrBarChartPreview",
							"type": "dropdown",
							"children": [{
								"command": "columnChartGroup",
								"type": "group",
								"children": ["clusteredColumnChart", "stackedColumnChart", "stackedColumn100Chart"]
							}, {
								"command": "barChartGroup",
								"type": "group",
								"children": ["clusteredBarChart", "stackedBarChart", "stackedBar100Chart"]
							}]
						}, {
							"command": "treeMapOrSunburstChartPreview",
							"type": "dropdown",
							"children": [{
								"command": "treemapChartGroup",
								"type": "group",
								"children": ["treemapChart"]
							}, {
								"command": "sunburstChartGroup",
								"type": "group",
								"children": ["sunburstChart"]
							}]
						}, {
							"command": "funnelOrStockChartPreview",
							"type": "dropdown",
							"children": [{
								"command": "funnelChartGroup",
								"type": "group",
								"children": ["funnelChart"]
							}, {
								"command": "stockChartGroup",
								"type": "group",
								"children": ["stockHLCChart", "stockOHLCChart", "stockVHLCChart", "stockVOHLCChart"]
							}, {
								"command": "radarChartGroup",
								"type": "group",
								"children": ["radarChart", "radarWithMarkersChart", "filledRadarChart"]
							}]
						}]
					}, {
						"direction": "horizontal",
						"children": [{
							"command": "lineOrAreaChartPreview",
							"type": "dropdown",
							"children": [{
								"command": "lineChartGroup",
								"type": "group",
								"children": ["lineChart", "lineStackedChart", "lineStacked100Chart", "lineMarkersChart", "lineMarkersStackedChart", "lineMarkersStacked100Chart"]
							}, {
								"command": "areaChartGroup",
								"type": "group",
								"children": ["areaChart", "areaStackedChart", "areaStacked100Chart"]
							}]
						}, {
							"command": "pieOrDoughnutChartPreview",
							"type": "dropdown",
							"children": [{
								"command": "pieChartGroup",
								"type": "group",
								"children": ["pieChart"]
							}, {
								"command": "doughnutChartGroup",
								"type": "group",
								"children": ["doughnutChart"]
							}]
						}, {
							"command": "comboChartPreview",
							"type": "dropdown",
							"children": [{
								"command": "comboChartGroup",
								"type": "group",
								"children": ["comboChartColumnAndLine", "comboChartColumnAndArea", "comboChartColumnAndLineAxis"]
							}]
						}]
					}, {
						"direction": "horizontal",
						"children": [{
							"command": "scatterOrBubbleChartPreview",
							"type": "dropdown",
							"children": [{
								"command": "scatterChartGroup",
								"type": "group",
								"children": ["scatterChart", "scatterSmoothMarkersChart", "scatterSmoothChart", "scatterStraightMarkersChart", "scatterStraightChart"]
							}, {
								"command": "bubbleChartGroup",
								"type": "group",
								"children": ["bubbleChart"]
							}]
						}]
					}]
				}, "insertBarCode", {
					"command": "sparklineGallery",
					"className": "sparklineGallery-dropdown-container",
					"type": "dropdown",
					"children": [{
						"command": "lineSparklineGroup",
						"type": "group",
						"children": ["sparklinesLineSparkline", "sparklinesAreaSparkline"]
					}, {
						"command": "barSparklineGroup",
						"type": "group",
						"children": ["sparklinesColumnSparkline", "sparklinesWinLossSparkline", "sparklinesStackedSparkline", "sparklinesCascadeSparkline", "sparklinesParetoSparkline", "sparklinesHBarSparkline", "sparklinesVBarSparkline", "sparklinesHistogramSparkline"]
					}, {
						"command": "pieSparklineGroup",
						"type": "group",
						"children": ["sparklinesPieSparkline"]
					}, {
						"command": "scatterSparklineGroup",
						"type": "group",
						"children": ["sparklinesScatterSparkline", "sparklinesSpreadsSparkline"]
					}, {
						"command": "calendarSparklineGroup",
						"type": "group",
						"children": ["sparklinesMonthSparkline", "sparklinesYearSparkline"]
					}, {
						"command": "otherSparklineGroup",
						"type": "group",
						"children": ["sparklinesBoxPlotSparkline", "sparklinesBulletSparkline", "sparklinesVarianceSparkline", "sparklinesRangeBlockSparkline", "sparklinesGaugeKPISparkline", "sparklineImageSparkline"]
					}]
				}]
			}
		}, {
			"label": "插图",
			"thumbnailClass": "ribbon-thumbnail-illustration",
			"commandGroup": {
				"commands": ["insertPicture", "insertShape", "insertCameraShape"]
			}
		}, {
			"label": "链接",
			"thumbnailClass": "ribbon-thumbnail-hyperlink",
			"commandGroup": {
				"commands": ["insertHyperLink"]
			}
		}]
	}, {
		"id": "pageLayout",
		"text": "页面布局",
		"buttonGroups": [{
			"label": "页面设置",
			"thumbnailClass": "ribbon-thumbnail-page-setup",
			"indicator": "indicatorPage",
			"commandGroup": {
				"children": [{
					"direction": "horizontal",
					"children": [{
						"command": "margins",
						"type": "dropdown",
						"children": ["marginSelector", "separator", "customMargins"]
					}, {
						"command": "orientation",
						"type": "dropdown",
						"children": ["orientationPortrait", "orientationLandscape"]
					}, {
						"command": "paperSize",
						"type": "dropdown",
						"children": ["paperKindSelector"]
					}, {
						"command": "printArea",
						"type": "dropdown",
						"children": ["setPrintArea", "clearPrintArea"]
					}, {
						"command": "breaks",
						"type": "dropdown",
						"children": ["insertPageBreak", "removePageBreak", "separator", "resetAllPageBreaks"]
					}, "background", "deleteBackground", "printTitles"]
				}]
			}
		}, {
			"label": "调整为合适大小",
			"thumbnailClass": "ribbon-thumbnail-scale-to-fit",
			"indicator": "indicatorPage",
			"commandGroup": {
				"children": [{
					"direction": "horizontal",
					"children": [{
						"direction": "vertical",
						"commands": ["scaleToFitWidthText", "scaleToFitHeightText", "scaleToFitScaleText"]
					}, {
						"direction": "vertical",
						"commands": ["fitPageWidth", "fitPageTall", "fitPageScale"]
					}]
				}]
			}
		}, {
			"label": "工作表选项",
			"thumbnailClass": "ribbon-thumbnail-sheet-option",
			"indicator": "indicatorSheet",
			"commandGroup": {
				"children": [{
					"direction": "horizontal",
					"children": [{
						"direction": "vertical",
						"commands": ["pageLayoutGridlinesText", "pageLayoutViewGridlines", "pageLayoutPrintGridlines"]
					}, {
						"commands": ["separator"]
					}, {
						"direction": "vertical",
						"commands": ["pageLayoutHeadingsText", "pageLayoutViewHeadings", "pageLayoutPrintHeadings"]
					}, {
						"commands": ["separator"]
					}, {
						"commands": ["printLineVisible"]
					}]
				}]
			}
		}],
		"visibleWhen": "AllowPrintCurrentSheet"
	}, {
		"id": "formulas",
		"text": "公式",
		"buttonGroups": [{
			"label": "函数库",
			"thumbnailClass": "ribbon-button-insertfunction",
			"commandGroup": {
				"commands": ["insertFunction"]
			}
		}, {
			"label": "函数库",
			"thumbnailClass": "ribbon-thumbnail-functions",
			"commandGroup": {
				"children": [{
					"command": "formulaAutoSum",
					"type": "dropdown",
					"children": ["editingAutoSum", "average", "countNumbers", "max", "min"]
				}, "formulaFinancial", "logicalFormula", "logicalFormulaAllowDynamicArray", "formulaText", "formulaDateTime", "formulaLookupReference", "formulaLookupReferenceAllowDynamicArray", "formulaMathTrig", "formulaMathTrigAllowDynamicArray", "moreFunctions"]
			}
		}, {
			"label": "定义的名称",
			"thumbnailClass": "ribbon-thumbnail-names",
			"commandGroup": {
				"commands": ["nameManager"]
			}
		}, {
			"label": "公式审核",
			"thumbnailClass": "ribbon-thumbnail-formula-auditing",
			"commandGroup": {
				"commands": ["showFormulas"]
			}
		}],
		"visibleWhen": "!TableSheetActive && !DataManagerActive"
	}, {
		"id": "data",
		"text": "数据",
		"buttonGroups": [{
			"label": "数据绑定",
			"thumbnailClass": "ribbon-thumbnail-data-sources",
			"commandGroup": {
				"children": ["insertDataManager", "templateDesignMode", "separator", {
					"direction": "vertical",
					"commands": ["loadSchema", "saveSchema", "clearBindingPath"]
				}, "separator", "autoGenerateLabel"]
			}
		}, {
			"label": "排序和筛选",
			"thumbnailClass": "ribbon-thumbnail-sortAndFilter",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["sortAZData", "sortZAData"]
				}, {
					"commands": ["customSortData"]
				}, {
					"type": "separator"
				}, {
					"commands": ["setFilterData"]
				}, {
					"direction": "vertical",
					"commands": ["clearFilterData", "reapplyFilterData"]
				}]
			}
		}, {
			"label": "数据工具",
			"thumbnailClass": "ribbon-thumbnail-datatools",
			"commandGroup": {
				"children": [{
					"commands": ["textToColumn"]
				}, {
					"command": "dataValidation",
					"type": "dropdown",
					"children": ["dropdownDataValidation", "circleInvalidDataCommand", "clearInvalidCircles"]
				}, {
					"commands": ["removeDuplicates"]
				}]
			}
		}, {
			"label": "分级显示",
			"indicator": "indicatorOutline",
			"thumbnailClass": "ribbon-thumbnail-outline",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"children": [{
						"command": "group",
						"type": "dropdown",
						"children": ["innerGroup", "autoOutline"]
					}, {
						"command": "ungroup",
						"type": "dropdown",
						"children": ["innerUngroup", "clearOutline"]
					}, "subtotal"]
				}, {
					"direction": "vertical",
					"commands": ["showDetail", "hideDetail"]
				}]
			}
		}]
	}, {
		"id": "view",
		"text": "视图",
		"buttonGroups": [{
			"label": "显示/隐藏",
			"thumbnailClass": "ribbon-thumbnail-showhide",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["showHideRowHeader", "showHideColumnHeader"]
				}, {
					"type": "separator"
				}, {
					"direction": "vertical",
					"commands": ["showHideVGridLine", "showHideHGridLine"]
				}, {
					"type": "separator"
				}, {
					"direction": "vertical",
					"commands": ["showHideTabStrip", "showHideNewTab"]
				}]
			}
		}, {
			"label": "显示比例",
			"thumbnailClass": "ribbon-thumbnail-zoom",
			"commandGroup": {
				"commands": ["zoom", "zoomDefault", "zoomSelection"]
			}
		}, {
			"label": "窗口",
			"thumbnailClass": "ribbon-thumbnail-viewport",
			"commandGroup": {
				"children": [{
					"command": "viewportFreezePanes",
					"type": "dropdown",
					"children": ["freezePanes", "freezeTopRow", "freezeFirstColumn", "freezeBottomRow", "freezeLastColumn"]
				}, "unfreezePanes"]
			}
		}],
		"visibleWhen": "!TableSheetActive && !DataManagerActive"
	}, {
		"id": "settings",
		"text": "设置",
		"buttonGroups": [{
			"label": "Spread 设置",
			"thumbnailClass": "ribbon-thumbnail-spreadsettings",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["spreadSettingGeneral"]
				}, {
					"direction": "vertical",
					"commands": ["spreadSettingScrollBar", "spreadSettingCalculation", "spreadSettingTabStrip"]
				}]
			}
		}, {
			"label": "工作表设置",
			"thumbnailClass": "ribbon-thumbnail-sheetsettings",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["sheetSettingGeneral"]
				}, {
					"direction": "vertical",
					"commands": ["sheetSettingGridLine", "sheetSettingHeaders"]
				}]
			}
		}],
		"visibleWhen": "!DataManagerActive"
	}, {
		"id": "tableDesign",
		"text": "设计",
		"buttonGroups": [{
			"label": "属性",
			"thumbnailClass": "ribbon-thumbnail-properties",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["tableName", "resizeTable"]
				}]
			}
		}, {
			"label": "工具",
			"thumbnailClass": "ribbon-thumbnail-tools",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["convertToRange", "tableAllowAutoExpand"]
				}, {
					"commands": ["insertSlicer"]
				}]
			}
		}, {
			"label": "表式样选项",
			"thumbnailClass": "ribbon-thumbnail-tablestyleoptions",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["tableStyleHeaderRow", "tableStyleTotalRow", "tableStyleBandedRows"]
				}, {
					"direction": "vertical",
					"commands": ["tableStyleFirstColumn", "tableStyleLastColumn", "tableStyleBandedColumns"]
				}, {
					"direction": "vertical",
					"commands": ["tableStyleResizeHandler", "tableStyleFilterButton", "tableStyleTotalRowList"]
				}]
			}
		}, {
			"label": "表式样",
			"thumbnailClass": "ribbon-thumbnail-tablestyles",
			"commandGroup": {
				"children": [{
					"command": "formatTable2",
					"type": "dropdown",
					"dropdownMaxWidth": 550,
					"children": ["formatTableListContent", "separator", "newTableStyle", "clearTableStyle"]
				}]
			}
		}],
		"visibleWhen": "TableSelected"
	}, {
		"id": "chartDesign",
		"text": "设计",
		"buttonGroups": [{
			"label": "图表布局",
			"thumbnailClass": "ribbon-thumbnail-chartlayouts",
			"commandGroup": {
				"children": [{
					"command": "addChartElement",
					"type": "dropdown",
					"children": [{
						"command": "axes",
						"type": "dropdown",
						"children": ["axesPrimaryHorizontal", "axesPrimaryVertical", "axesSecondaryHorizontal", "axesSecondaryVertical", "separator", "axesMoreAxisOption"]
					}, {
						"command": "axisTitles",
						"type": "dropdown",
						"children": ["axisTitlesPrimaryHorizontal", "axisTitlesPrimaryVertical", "axisTitlesSecondaryHorizontal", "axisTitlesSecondaryVertical", "separator", "axisTitlesMoreAxisTitlesOption"]
					}, {
						"command": "chartTitle",
						"type": "dropdown",
						"children": ["chartTitleNone", "chartTitleAboveChart", "separator", "chartTitleMoreChartTitleOption"]
					}, {
						"command": "errorBars",
						"type": "dropdown",
						"children": ["errorBarNone", "errorBarStandardError", "errorBarPercentage", "errorBarStandardDeviation", "separator", "errorBarMoreOption"]
					}, {
						"command": "gridLines",
						"type": "dropdown",
						"children": ["gridLinesPrimaryMajorHorizontal", "gridLinesPrimaryMajorVertical", "gridLinesPrimaryMinorHorizontal", "gridLinesPrimaryMinorVertical", "gridLinesSecondaryMajorHorizontal", "gridLinesSecondaryMajorVertical", "gridLinesSecondaryMinorHorizontal", "gridLinesSecondaryMinorVertical", "separator", "gridLinesMoreGridLinesOption"]
					}, {
						"command": "dataLabels",
						"type": "dropdown",
						"children": ["dataLabelsNone", "dataLabelsNoneLineGroup", "dataLabelsNoneScatterGroup", "dataLabelsNonePieGroup", "dataLabelsNoneDoughnutGroup", "dataLabelsNoneSunburstGroup", "dataLabelNoneTreeMapGroup", "dataLabelsNoneFunnelGroup", "dataLabelsCenter", "dataLabelsCenterLineGroup", "dataLabelsCenterScatterGroup", "dataLabelsCenterPieGroup", "dataLabelsCenterSunburstGroup", "dataLabelsCenterFunnelGroup", "dataLabelsInsideEnd", "dataLabelsInsideEndPieGroup", "dataLabelsOutsideEnd", "dataLabelsOutsideEndPieGroup", "dataLabelsBestFitPieGroup", "dataLabelShow", "dataLabelsShowPieGroup", "dataLabelsShowDoughnutGroup", "dataLabelsShowTreeMapGroup", "dataLabelsAboveLineGroup", "dataLabelsAboveScatterGroup", "dataLabelsBelowLineGroup", "dataLabelsBelowScatterGroup", "separator", "dataLabelsMoreDataLabelsOption"]
					}, {
						"command": "legend",
						"type": "dropdown",
						"children": ["legendNone", "legendRight", "legendTop", "legendLeft", "legendBottom", "separator", "legendMoreLegendOption"]
					}, {
						"command": "trendline",
						"type": "dropdown",
						"children": ["trendlineNone", "trendlineLinear", "trendlineExponential", "trendlineLinearForecast", "trendlineMovingAverage", "separator", "trendlineMoreOption"]
					}]
				}, {
					"command": "quickLayout",
					"type": "dropdown",
					"dropdownMaxWidth": 190,
					"children": ["quickLayoutListContent"]
				}]
			}
		}, {
			"label": "图表样式",
			"thumbnailClass": "ribbon-thumbnail-chartstyles",
			"commandGroup": {
				"commands": ["changeColors", "chartStyle"]
			}
		}, {
			"label": "数据",
			"thumbnailClass": "ribbon-thumbnail-chartdata",
			"commandGroup": {
				"commands": ["switchRowColumn", "selectData"]
			}
		}, {
			"label": "类型",
			"thumbnailClass": "ribbon-thumbnail-charttype",
			"commandGroup": {
				"commands": ["changeChartType"]
			}
		}, {
			"label": "位置",
			"thumbnailClass": "ribbon-thumbnail-chartlocation",
			"commandGroup": {
				"commands": ["moveChart"]
			}
		}, {
			"label": "辅助功能",
			"thumbnailClass": "ribbon-thumbnail-chart-alt-text",
			"commandGroup": {
				"commands": ["chartAltText"]
			}
		}],
		"visibleWhen": "singleChartSelected"
	}, {
		"id": "pictureDesign",
		"text": "设计",
		"buttonGroups": [{
			"label": "辅助功能",
			"thumbnailClass": "ribbon-thumbnail-chart-alt-text",
			"commandGroup": {
				"commands": ["pictureAltText"]
			}
		}],
		"visibleWhen": "pictureSelected && !IsProtected || pictureSelected && AllowEditObject"
	}, {
		"id": "shapeDesign",
		"text": "格式",
		"buttonGroups": [{
			"label": "插入形状",
			"thumbnailClass": "ribbon-thumbnail-shapeinsertshape",
			"commandGroup": {
				"commands": ["insertShapeList", "changeShape"]
			}
		}, {
			"label": "改变形状样式",
			"thumbnailClass": "ribbon-thumbnail-shapeStyles",
			"commandGroup": {
				"commands": ["changeShapeStyle"]
			}
		}, {
			"label": "辅助功能",
			"thumbnailClass": "ribbon-thumbnail-chart-alt-text",
			"commandGroup": {
				"commands": ["shapeAltText"]
			}
		}, {
			"label": "旋转",
			"thumbnailClass": "ribbon-thumbnail-shaperotate",
			"commandGroup": {
				"children": [{
					"command": "shapeRotate",
					"type": "dropdown",
					"children": ["shapeRightRotate90", "shapeLeftRotate"]
				}]
			}
		}, {
			"label": "组合",
			"thumbnailClass": "ribbon-thumbnail-shapegroup",
			"commandGroup": {
				"children": [{
					"command": "shapeCommandGroup",
					"type": "dropdown",
					"children": ["shapeGroup", "shapeUnGroup"]
				}]
			}
		}, {
			"label": "对齐",
			"thumbnailClass": "ribbon-thumbnail-shapealign",
			"commandGroup": {
				"children": [{
					"command": "shapeCommandAlign",
					"type": "dropdown",
					"children": ["shapeAlignLeft", "shapeAlignCenter", "shapeAlignRight", "separator", "shapeAlignTop", "shapeAlignMiddle", "shapeAlignBottom", "separator", "shapeHorizontalDistribute", "shapeShapeVerticalDistribute", "separator", "shapeSnapToGrid", "shapeSnapToShape"]
				}]
			}
		}, {
			"class": "gc-ribbon-panelgroup-shapeSize",
			"label": "大小",
			"thumbnailClass": "ribbon-thumbnail-shapesize",
			"commandGroup": {
				"direction": "vertical",
				"commands": ["shapeSizeHeight", "shapeSizeWidth"]
			}
		}, {
			"label": "选择窗格",
			"thumbnailClass": "ribbon-thumbnail-chart-alt-text",
			"commandGroup": {
				"commands": ["selectionPaneButton"]
			}
		}],
		"visibleWhen": "ShapeSelected && !IsProtected || ShapeSelected && AllowEditObject"
	}, {
		"id": "slicerDesign",
		"text": "选项",
		"buttonGroups": [{
			"class": "slicer_panel",
			"label": "切片器",
			"thumbnailClass": "ribbon-thumbnail-properties",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"type": "group",
					"commands": ["captionName", "slicerSetting"]
				}, {
					"commands": ["separator"]
				}, {
					"commands": ["slicerReportConnections"]
				}]
			}
		}, {
			"label": "切片器样式",
			"thumbnailClass": "ribbon-thumbnail-tablestyles",
			"commandGroup": {
				"children": [{
					"command": "slicerFormat",
					"type": "dropdown",
					"children": ["slicerStyleListContent", "newSlicerStyle"]
				}]
			}
		}, {
			"class": "slicer_buttons",
			"label": "按钮",
			"thumbnailClass": "ribbon-thumbnail-slice-buttons",
			"commandGroup": {
				"direction": "vertical",
				"commands": ["columnCount", "itemHeight"]
			}
		}, {
			"class": "slicer_size",
			"label": "大小",
			"thumbnailClass": "ribbon-thumbnail-sliceSize",
			"commandGroup": {
				"direction": "vertical",
				"commands": ["slicerHeight", "slicerWidth"]
			}
		}],
		"visibleWhen": "SlicerSelected && !IsProtected || SlicerSelected && AllowEditObject"
	}, {
		"id": "formulaSparkLineDesign",
		"text": "设计",
		"buttonGroups": [{
			"label": "参数",
			"thumbnailClass": "ribbon-thumbnail-argument",
			"commandGroup": {
				"commands": ["formulaSparklineSetting"]
			}
		}],
		"visibleWhen": "FormulaSparklineSelected"
	}, {
		"id": "sparkLineDesign",
		"text": "设计",
		"buttonGroups": [{
			"label": "类型",
			"thumbnailClass": "ribbon-thumbnai-sparkline-type",
			"commandGroup": {
				"commands": ["lineSparkline", "columnSparkline", "winLossSparkline"]
			}
		}, {
			"label": "显示",
			"thumbnailClass": "ribbon-thumbnail-sparkline-show",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["showHighpoint", "showLowPoint", "showNegativePoint"]
				}, {
					"direction": "vertical",
					"commands": ["showFirstPoint", "showLastPoint", "showMarkers"]
				}]
			}
		}, {
			"label": "样式",
			"thumbnailClass": "ribbon-thumbnail-sparkline-style",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"children": [{
						"direction": "vertical",
						"commands": ["sparklineColor", "sparklineMarkerColor"]
					}, {
						"commands": ["sparklineWeight"]
					}]
				}]
			}
		}, {
			"label": "组合",
			"thumbnailClass": "ribbon-thumbnail-sparkline-groups",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"children": [{
						"direction": "vertical",
						"commands": ["sparklineGroup", "sparklineUnGroup"]
					}, {
						"command": "clearSparkline",
						"type": "dropdown",
						"children": ["clearSelectedSparkline", "clearSelectedSparklineGroups"]
					}]
				}]
			}
		}],
		"visibleWhen": "SparklineSelected"
	}, {
		"id": "barcodeDesignId",
		"text": "设计",
		"buttonGroups": [{
			"label": "参数",
			"thumbnailClass": "ribbon-thumbnail-argument",
			"commandGroup": {
				"commands": ["barCodeSetting"]
			}
		}],
		"visibleWhen": "BarCodeSelected"
	}, {
		"id": "pivotTableAnalyze",
		"text": "数据透视表分析",
		"buttonGroups": [{
			"label": "数据透视表",
			"thumbnailClass": "ribbon-thumbnail-pivot-table",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"children": [{
						"commands": ["pivotTableName"]
					}, {
						"children": ["pivotTableOptions", {
							"command": "pivotTableOptionsList",
							"type": "dropdown",
							"children": ["pivotTableOptionsSub", "pivotTableShowReportFilterPages"]
						}]
					}]
				}]
			}
		}, {
			"label": "活动字段",
			"thumbnailClass": "ribbon-thumbnail-pivot-table-active-field",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"children": [{
						"commands": ["pivotTableActiveField"]
					}, {
						"commands": ["pivotTableFieldSetting"]
					}]
				}, {
					"direction": "vertical",
					"children": [{
						"commands": ["pivotTableExpandField"]
					}, {
						"commands": ["pivotTableCollapseField"]
					}]
				}]
			}
		}, {
			"label": "筛选",
			"thumbnailClass": "ribbon-thumbnail-pivot-table-group",
			"commandGroup": {
				"children": [{
					"children": [{
						"commands": ["insertPivotSlicer", "pivotFilterConnections"]
					}]
				}]
			}
		}, {
			"label": "组合",
			"thumbnailClass": "ribbon-thumbnail-pivot-table-group",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"children": [{
						"commands": ["pivotTableGroupSelection"]
					}, {
						"commands": ["pivotTableUnGroup"]
					}, {
						"commands": ["pivotTableGroupField"]
					}]
				}]
			}
		}, {
			"label": "数据",
			"thumbnailClass": "ribbon-thumbnail-pivot-table-data",
			"commandGroup": {
				"children": [{
					"children": ["pivotRibbonRefresh"]
				}]
			}
		}, {
			"label": "操作",
			"thumbnailClass": "ribbon-thumbnail-pivot-table-actions",
			"commandGroup": {
				"children": [{
					"children": [{
						"command": "pivotTableClearList",
						"type": "dropdown",
						"children": ["pivotTableClearAll", "pivotTableClearFilters"]
					}, "pivotTableMove"]
				}]
			}
		}, {
			"label": "计算",
			"thumbnailClass": "ribbon-thumbnail-pivot-table-calculations",
			"commandGroup": {
				"children": [{
					"children": [{
						"command": "pivotTableFieldsItemsSets",
						"type": "dropdown",
						"children": ["pivotTableCalculatedField", "PivotTableCalculatedItem", "PivotTableSolveOrder", "pivotTableListFormulas"]
					}]
				}]
			}
		}, {
			"label": "显示",
			"thumbnailClass": "ribbon-thumbnail-pivot-table-show",
			"commandGroup": {
				"children": [{
					"commands": ["pivotTableFieldList", "pivotTableButtons", "pivotTableShowHeaders"]
				}]
			}
		}],
		"visibleWhen": "PivotTableSelected"
	}, {
		"id": "pivotTableDesign",
		"text": "设计",
		"buttonGroups": [{
			"label": "布局",
			"thumbnailClass": "ribbon-thumbnail-pivot-table-layout",
			"commandGroup": {
				"children": [{
					"children": [{
						"command": "pivotTableSubtotals",
						"type": "dropdown",
						"children": ["pivotTableSubtotalsNotShow", "pivotTableSubtotalsAtBottom", "pivotTableSubtotalsAtTop"]
					}, {
						"command": "pivotTableGrandTotals",
						"type": "dropdown",
						"children": ["pivotTableGrandTotalsOffRowColumn", "pivotTableGrandTotalsOnRowColumn", "pivotTableGrandTotalsOnRowOnly", "pivotTableGrandTotalsOnColumnOnly"]
					}]
				}, {
					"type": "separator"
				}, {
					"children": [{
						"command": "pivotTableReportLayout",
						"type": "dropdown",
						"children": ["pivotTableReportLayoutShowInCompact", "pivotTableReportLayoutShowInOutline", "pivotTableReportLayoutShowInTabular", "separator", "pivotTableReportLayoutRepeatAllItemLabels", "pivotTableReportLayoutNotRepeatAllItemLabels"]
					}, {
						"command": "pivotTableBlankRows",
						"type": "dropdown",
						"children": ["pivotTableInsertBlankRows", "pivotTableRemoveBlankRows"]
					}]
				}]
			}
		}, {
			"label": "数据透视表样式选项",
			"thumbnailClass": "ribbon-thumbnail-pivot-table-options",
			"commandGroup": {
				"children": [{
					"children": [{
						"direction": "vertical",
						"commands": ["pivotTableRowHeaders", "pivotTableColumnHeaders"]
					}, {
						"direction": "vertical",
						"commands": ["pivotTableBandedRows", "pivotTableBandedColumns"]
					}]
				}]
			}
		}, {
			"label": "数据透视表样式",
			"thumbnailClass": "ribbon-thumbnail-pivot-table-styles",
			"commandGroup": {
				"children": [{
					"command": "pivotTableStyle",
					"type": "dropdown",
					"dropdownMaxWidth": 550,
					"children": ["pivotTableStyleListContent", "separator", "newPivotTableStyle", "clearPivotTableStyle"]
				}]
			}
		}],
		"visibleWhen": "PivotTableSelected"
	}, {
		"id": "tableSheetDesign",
		"text": "设计",
		"buttonGroups": [{
			"label": "行高",
			"thumbnailClass": "ribbon-thumbnail-table-sheet-row-height",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["setTableSheetRowHeight", "setTableSheetHeaderRowHeight"]
				}]
			}
		}, {
			"label": "选项",
			"thumbnailClass": "ribbon-thumbnail-table-sheet-options",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["allowAddNew", "alternatingRowStyle"]
				}, {
					"direction": "vertical",
					"commands": ["alternatingFillRowStep", "alternatingBlankRowStep"]
				}]
			}
		}, {
			"label": "主题",
			"thumbnailClass": "ribbon-thumbnail-table-sheet-theme",
			"commandGroup": {
				"children": [{
					"command": "formatTableSheet",
					"type": "dropdown",
					"dropdownMaxWidth": 550,
					"children": ["formatTableSheetListContent"]
				}]
			}
		}, {
			"label": "状态条件",
			"thumbnailClass": "ribbon-thumbnail-table-sheet-state-rules",
			"commandGroup": {
				"commands": ["stateRules"]
			}
		}, {
			"label": "行操作",
			"thumbnailClass": "ribbon-thumbnail-table-sheet-row-actions",
			"commandGroup": {
				"commands": ["toggleTableSheetRowAction"]
			}
		}, {
			"label": "批量操作",
			"thumbnailClass": "ribbon-thumbnail-table-sheet-batch",
			"commandGroup": {
				"commands": ["submitTableSheetChanges", "cancelTableSheetChanges"]
			}
		}, {
			"label": "面板",
			"thumbnailClass": "ribbon-thumbnail-table-sheet-panel",
			"commandGroup": {
				"commands": ["toggleTableSheetPanel"]
			}
		}],
		"visibleWhen": "TableSheetActive"
	}, {
		"id": "tableSheetColumnSetting",
		"text": "列选项",
		"buttonGroups": [{
			"label": "选项",
			"thumbnailClass": "ribbon-button-sheetgeneral",
			"commandGroup": {
				"children": [{
					"direction": "vertical",
					"commands": ["setTableSheetColumnValue", "setTableSheetColumnCaption"]
				}, {
					"direction": "vertical",
					"commands": ["setTableSheetColumnWidth", "setTableSheetColumnDefaultValue"]
				}, {
					"direction": "vertical",
					"commands": ["setTableSheetColumnIsPrimaryKey", "setTableSheetColumnRequired", "setTableSheetColumnReadonly"]
				}]
			}
		}, {
			"label": "数据类型",
			"thumbnailClass": "ribbon-thumbnail-table-sheet-column-data-type",
			"commandGroup": {
				"direction": "vertical",
				"children": [{
					"commands": ["setTableSheetColumnDataType"]
				}, {
					"commands": ["setTableSheetColumnDataTypeString", "setTableSheetColumnDataTypeNumber", "setTableSheetColumnDataTypeBoolean", "setTableSheetColumnDataTypeDate"]
				}]
			}
		}, {
			"label": "样式",
			"thumbnailClass": "ribbon-thumbnail-table-sheet-column-style",
			"commandGroup": {
				"children": [{
					"commands": ["setTableSheetColumnStyle"]
				}, {
					"command": "conditionFormat",
					"type": "dropdown",
					"children": [{
						"command": "highlightCellsRules",
						"type": "dropdown",
						"children": ["highlightCellsRulesGreaterThan", "highlightCellsRulesLessThan", "highlightCellsRulesBetween", "highlightCellsRulesEqualTo", "highlightCellsRulesContains", "highlightCellsRulesDateOccurring", "highlightCellsRulesDuplicateValues", "separator", "highlightCellsMoreRules"]
					}, {
						"command": "topBottomRules",
						"type": "dropdown",
						"children": ["topBottomRulesTop10", "topBottomRulesBottom10", "topBottomRulesAboveAverage", "topBottomRulesBelowAverage", "separator", "topBottomRulesMoreRules"]
					}, "separator", {
						"command": "dataBar",
						"type": "dropdown",
						"dropdownMaxWidth": 126,
						"children": [{
							"command": "gradientFill",
							"type": "group",
							"children": ["gradientFillBlueDataBar", "gradientFillGreenDataBar", "gradientFillRedDataBar", "gradientFillOrangeDataBar", "gradientFillLightBlueDataBar", "gradientFillPurpleDataBar"]
						}, {
							"command": "solidFill",
							"type": "group",
							"children": ["solidFillBlueDataBar", "solidFillGreenDataBar", "solidFillRedDataBar", "solidFillOrangeDataBar", "solidFillLightBlueDataBar", "solidFillPurpleDataBar"]
						}, "separator", "moreDataBarRules"]
					}, {
						"command": "colorScalesList",
						"type": "dropdown",
						"dropdownMaxWidth": 170,
						"children": [{
							"command": "colorScalesList2",
							"type": "group",
							"children": ["colorScaleGyr", "colorScaleRyg", "colorScaleGwr", "colorScaleRwg", "colorScaleBwr", "colorScaleRwb", "colorScaleWr", "colorScaleRw", "colorScaleGw", "colorScaleWg", "colorScaleGy", "colorScaleYg"]
						}, "separator", "moreColorScaleRules"]
					}, {
						"command": "iconSetList",
						"type": "dropdown",
						"children": [{
							"command": "directional",
							"type": "group",
							"children": ["iconSetThreeArrowsColored", "iconSetThreeArrowsGray", "iconSet3Triangles", "iconSetFourArrowsGray", "iconSetFourArrowsColored", "iconSetFiveArrowsGray", "iconSetFiveArrowsColored"]
						}, {
							"command": "shapes",
							"type": "group",
							"children": ["iconSetThreeTrafficLightsUnRimmed", "iconSetThreeTrafficLightsRimmed", "iconSetThreeSigns", "iconSetFourTrafficLights", "iconSetFourRedToBlack"]
						}, {
							"command": "indicators",
							"type": "group",
							"children": ["iconSetThreeSymbolsCircled", "iconSetThreeSymbolsUnCircled", "iconSetThreeFlags"]
						}, {
							"command": "ratings",
							"type": "group",
							"children": ["iconSetThreeStars", "iconSetFourRatings", "iconSetFiveQuarters", "iconSetFiveRatings", "iconSetFiveBoxes"]
						}, "separator", "moreIconSetRules"]
					}, "separator", "conditionFormatNewRule", "clearTableSheetColumnConditionalFormat", "tablesheetConditionFormatManageRule"]
				}, {
					"commands": ["setTableSheetColumnHeaderStyle"]
				}, {
					"direction": "vertical",
					"commands": ["setTableSheetColumnHeaderFit", "setTableSheetColumnHeaderFitLabel"]
				}]
			}
		}, {
			"label": "数据验证",
			"thumbnailClass": "ribbon-button-datavalidation",
			"commandGroup": {
				"children": [{
					"command": "setTableSheetColumnDataValidation",
					"type": "dropdown",
					"children": ["circleInvalidDataCommand", "clearInvalidCircles"]
				}]
			}
		}],
		"visibleWhen": "TableSheetColumnSelected"
	}],
	"contextMenu": ["contextMenuCut", "contextMenuCopy", "contextMenuPaste", "designerPasteAll", "pasteFormula", "designerPasteValues", "designerPasteFormatting", "pasteValuesFormatting", "pasteFormulaFormatting", "floatingObjectCut", "floatingObjectCopy", "contextMenuCutShapes", "contextMenuCopyShapes", "separator", "resetChartColor", "changeChartTypeDialog", "selectChartDataDialog", "moveChartDialog", "formatChart", "separator", "insertDialog", "deleteDialog", "gc.spread.contextMenu.insertColumns", "gc.spread.contextMenu.deleteColumns", "gc.spread.contextMenu.insertRows", "gc.spread.contextMenu.deleteRows", "tableInsert", "tableDelete", "gc.spread.contextMenu.clearContents", "separator", "gc.spread.contextMenu.rowHeaderinsertCopiedCells", "gc.spread.contextMenu.rowHeaderinsertCutCells", "gc.spread.contextMenu.colHeaderinsertCopiedCells", "gc.spread.contextMenu.colHeaderinsertCutCells", "insertCopiedCells", "insertCutCells", "separator", "gc.spread.contextMenu.insertSheet", "gc.spread.contextMenu.deleteSheet", "sheetTabMoveOrCopy", "gc.spread.contextMenu.changeSheetTabPosition", "unprotectSheet", "protectSheet", "separator", "gc.spread.contextMenu.filter", "sort", "table", "separator", "gc.spread.contextMenu.insertComment", "gc.spread.contextMenu.editComment", "gc.spread.contextMenu.deleteComment", "gc.spread.contextMenu.toggleComment", "formatComment", "separator", "formatCells", "editCellType", "editCellDropdowns", "link", "editHyperlink", "openHyperlink", "removeHyperlink", "removeHyperlinks", "separator", "richText", "defineName", "cellTag", "rowTag", "colTag", "columnWidth", "rowHeight", "gc.spread.contextMenu.hideColumns", "gc.spread.contextMenu.hideRows", "gc.spread.contextMenu.unhideColumns", "gc.spread.contextMenu.unhideRows", "columnHeaders", "contextMenuOutlineColumn", "rowHeaders", "separator", "showTabColor", "gc.spread.contextMenu.hideSheet", "contextMenuUnhideSheet", "sheetTag", "separator", "gc.spread.contextMenu.cut", "gc.spread.contextMenu.copy", "slicerPasteOptions", "gc.spread.contextMenu.pasteAll", "gc.spread.contextMenu.slicerSortAscend", "gc.spread.contextMenu.slicerSortDescend", "gc.spread.contextMenu.removeSlicer", "slicerProperty", "contextMenuSlicerSetting", "separator", "groupShape", "formatShapes", "designerMoreFunctions", "shapeLink", "editShapeHyperlink", "openShapeHyperlink", "removeShapeHyperlink", "editShapeText", "pivotSort", "pivotTableAutoFitColumn", "pivotTableContextMenuRefresh", "removeField", "removePivotGrandTotal", "updatePivotValueFieldCmd", "pivotTableShowValueAs", "pivotTableFilter", "pivotExpandOrCollapse", "openPivotGroupDialog", "pivotTableContextMenuUnGroup", "pivotShowDetails", "openValueFieldSettingDialogCmd", "pivotTableContextMenuOptions", "showFieldList", "hideFieldList", "gc.spread.contextMenu.pinRows", "gc.spread.contextMenu.pinColumns", "gc.spread.contextMenu.pasteValues"],
	"fileMenu": "fileMenuButton",
	"sidePanels": [{
		"position": "top",
		"allowResize": true,
		"command": "formulaBarPanel",
		"uiTemplate": "formulaBarTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "fieldListTreePanel",
		"uiTemplate": "filedListTemplate"
	}, {
		"position": "bottom",
		"command": "statusBarPanel",
		"uiTemplate": "statusBarPanelTemplate"
	}, {
		"position": "full",
		"command": "fileMenuPanel",
		"uiTemplate": "fileMenuPanelTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "shapePanel",
		"uiTemplate": "shapeTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "columnChartPanel",
		"uiTemplate": "columnChartTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "lineChartPanel",
		"uiTemplate": "lineChartTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "pieChartPanel",
		"uiTemplate": "pieChartTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "barChartPanel",
		"uiTemplate": "barChartTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "areaChartPanel",
		"uiTemplate": "areaChartTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "scatterChartPanel",
		"uiTemplate": "scatterChartTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "stockChartPanel",
		"uiTemplate": "stockChartTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "radarChartPanel",
		"uiTemplate": "radarChartTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "sunburstChartPanel",
		"uiTemplate": "sunburstChartTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "treeMapChartPanel",
		"uiTemplate": "treeMapChartPanelTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "funnelChartPanel",
		"uiTemplate": "funnelChartPanelTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "comboChartPanel",
		"uiTemplate": "comboChartTemplate"
	}, {
		"position": "right",
		"width": "315px",
		"command": "chartAltTextPanel",
		"uiTemplate": "altTextTemplate",
		"showCloseButton": true
	}, {
		"position": "right",
		"width": "315px",
		"command": "pictureAltTextPanel",
		"uiTemplate": "altTextTemplate",
		"showCloseButton": true
	}, {
		"position": "right",
		"width": "315px",
		"command": "shapeAltTextPanel",
		"uiTemplate": "altTextTemplate",
		"showCloseButton": true
	}, {
		"position": "right",
		"width": "315px",
		"command": "pivotTablePanel",
		"uiTemplate": "insertPivotTableDialogTemplate",
		"classList": ["gc-designer-pivot-table-panel"],
		"showCloseButton": true
	}, {
		"position": "right",
		"width": "315px",
		"command": "tableSheetPanel",
		"uiTemplate": "tableSheetPanelTemplate",
		"classList": ["gc-designer-table-sheet-panel"],
		"showCloseButton": true
	}, {
		"position": "right",
		"width": "315px",
		"command": "selectionPane",
		"uiTemplate": "selectionPane",
		"classList": ["gc-designer-selection-pane"],
		"showCloseButton": true
	}],
	"commandMap": {
		"Welcome": {
			"title": "Welcome",
			"text": "Welcome",
			"iconClass": "ribbon-button-welcome",
			"bigButton": "false",
			"commandName": "Welcome"
		}
	}
}