$(document).ready(function(){
	GC.Spread.Common.CultureManager.culture('zh-cn');
});
function spanbyrow(range,sheet) {
	var spans = [];
	for (var i = range.row; i < range.rowCount; i++) {
		var colCount = 1;
		var col = 0;
		var startValue = sheet.getValue(i, 0);
		for (var j = range.col + 1; j < range.colCount; j++) {
			var currentValue = sheet.getValue(i, j);
			if (currentValue == startValue) {
				colCount++;
			} else {
				sheet.addSpan(i, col, 1, colCount);
				var spanRange = new GC.Spread.Sheets.Range(i, col, 1, colCount);
				spans.push(spanRange);
				startValue = currentValue;
				col = j;
				colCount = 1;
			}
			//判断是否到达边界
			if (j == range.col + range.colCount - 1) {
				sheet.addSpan(i, col, 1, colCount);
				var spanRange = new GC.Spread.Sheets.Range(i, col, 1, colCount);
				spans.push(spanRange);
			}
		}
	}
	return spans;
}
function spanbycolumn(range,sheet) {
	var spans = [];
	for (var i = range.col; i < range.col + range.colCount; i++) {
		var rowCount = 1;
		var row = 0;
		var startValue = sheet.getValue(0, i);
		for (var j = range.row + 1; j < range.row + range.rowCount; j++) {
			var currentValue = sheet.getValue(j, i);
			if (currentValue == startValue) {
				rowCount++;
			} else {
				sheet.addSpan(row, i, rowCount, 1);
				var spanRange = new GC.Spread.Sheets.Range(row, i, rowCount, 1);
				spans.push(spanRange);
				startValue = currentValue;
				row = j;
				rowCount = 1;
			}
			//判断是否到达边界
			if (j == range.row + range.rowCount - 1) {
				sheet.addSpan(row, i, rowCount, 1);
				var spanRange = new GC.Spread.Sheets.Range(row, i, rowCount, 1);
				spans.push(spanRange);
			}
		}
	}
	return spans;
}
function spanbyrowcolumn(range,sheet) {
	var spans = spanbyrow(range);
	for (var i = 0; i < spans.length; i++) {
		var row = spans[i].row;
		var col = spans[i].col;
		var rowCount = spans[i].rowCount;
		var colCount = spans[i].colCount;
		var sourceValue = sheet.getValue(spans[i].row, spans[i].col);
		var spanRowCount = rowCount;
		for (var j = spans[i].row + spans[i].rowCount; j < range.row + range.rowCount; j++) {
			var spanFlag = true;
			for (var k = spans[i].col; k < spans[i].col + spans[i].colCount; k++) {
				var tempSpan = findSpan(j, k);
				if (tempSpan && tempSpan.colCount != colCount) {
					spanFlag = false;
					break;
				}
				if (sourceValue != sheet.getValue(j, k)) {
					spanFlag = false;
					break;
				}
			}
			if (spanFlag) {
				spanRowCount++
				sheet.removeSpan(j, col);
			} else {
				break;
			}
		}
		if (spanRowCount > 1) {
			var compareSpan = findSpan(row, col);
			var currentSpan = new GC.Spread.Sheets.Range(row, col, spanRowCount, colCount);
			if (compareSpan != null) {
				if (!containSpan(currentSpan, compareSpan)) {
					sheet.removeSpan(row, col);
					sheet.addSpan(row, col, spanRowCount, colCount);
				}
			} else {
				sheet.removeSpan(row, col);
				sheet.addSpan(row, col, spanRowCount, colCount);
			}
		}
	}
}
function spanbycolumnrow(range,sheet) {
	var spans = spanbycolumn(range);
	for (var i = 0; i < spans.length; i++) {
		var row = spans[i].row;
		var col = spans[i].col;
		var rowCount = spans[i].rowCount;
		var colCount = spans[i].colCount;
		var sourceValue = sheet.getValue(spans[i].row, spans[i].col);
		var spanColCount = colCount;
		for (var j = spans[i].col + spans[i].colCount; j < range.col + range.colCount; j++) {
			var spanFlag = true;
			for (var k = spans[i].row; k < spans[i].row + spans[i].rowCount; k++) {
				var currentValue = sheet.getValue(k, j);
				if (sourceValue != sheet.getValue(k, j)) {
					spanFlag = false;
					break;
				}
			}
			if (spanFlag) {
				spanColCount++
				sheet.removeSpan(row, j);
			} else {
				break;
			}
		}
	}
}
function removeSpan(range){
	for(var i=range.row;i<range.rowCount;i++){
		for(var j=range.col;j<range.colCount;j++){
			sheet.removeSpan(i, j);
		}
	}
}
function findSpan(row, col) {
	var spans = sheet.getSpans();
	var span = null;
    spans.every(function (tempSpan) {
        if (tempSpan.row <= row && row <= tempSpan.row + tempSpan.rowCount - 1 && tempSpan.col <= col && col <= tempSpan.col + tempSpan.colCount - 1) {
            span = tempSpan;
			return false;
        }
        return true;
    });
	return span;
}

//a在b中
function containSpan(aSpan,bSpan){
	
	if(bSpan.row <= aSpan.row && aSpan.row <= bSpan.row + bSpan.rowCount -1 && bSpan.col <= aSpan.col && aSpan.col <= bSpan.col + bSpan.colCount - 1 && aSpan.row +aSpan.rowCount <= bSpan.row + bSpan.rowCount && aSpan.col + aSpan.colCount <= bSpan.col + bSpan.colCount){
		return true;
	}else{
		return false;
	}
	
}